       IDENTIFICATION DIVISION.
       PROGRAM-ID. HELLOMOBILEWORLD.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.

           COPY "MOBILECOBOL.WS".

       PROCEDURE DIVISION.
       MAIN-LOGIC.
           PERFORM SHOW-HELLO-PAGE.
           PERFORM HANDLE-EVENTS
               UNTIL MC-EVENT = "QUIT".
           GOBACK.

       SHOW-HELLO-PAGE.
           CALL MC USING CREATEPAGEXAML 
                         "FileName=hellomobileworld.xaml|".
           CALL MC USING SHOWPAGE.

       SHOW-CONTROLS-PAGE.
           CALL MC USING CREATEPAGEXAML "FileName=showcontrols.xaml|".
           CALL MC USING SHOWPAGE.

       SHOW-GET-STARTED-PAGE.
           CALL MC USING CREATEPAGEXAML "FileName=getstarted.xaml|".
           CALL MC USING SHOWPAGE.

       SHOW-CODE-PAGE.
           CALL MC USING CREATEPAGEXAML "FileName=showcode.xaml|".
           CALL MC USING SHOWPAGE.

       HANDLE-EVENTS.
           CALL MC USING GETEVENT MC-EVENTINFO.
           DISPLAY MC-EVENT-CONTROL " " MC-EVENT
           EVALUATE MC-EVENT
               WHEN "Clicked"
                   EVALUATE MC-EVENT-CONTROL
                       WHEN "CodeBtn" PERFORM SHOW-CODE-PAGE
                       WHEN "ControlsBtn" PERFORM SHOW-CONTROLS-PAGE
                       WHEN "GetStartedBtn" 
                                          PERFORM SHOW-GET-STARTED-PAGE
                   END-EVALUATE
           END-EVALUATE.












